# MPE_Log_comm_event

Log an event in a specified MPI_Comm.

## Synopsis

    int MPE_Log_comm_event( MPI_Comm comm, int local_thread,
                            int event, const char *bytebuf )

## Input Parameters

comm
  MPI_Comm where this process is part of.
local_thread
  local thread ID where the receive event takes place.
event
  event number.
bytebuf
  optional byte informational array. In C, bytebuf should be set to NULL when no extra byte informational data. In Fortran, an zero-length string "", or a single blank string " ", is equivalent to NULL in C.

## Returns

alway returns MPE_LOG_OK

Location:../src/logging/src/mpe_log.c